Hello Guest, Welcome to Apnea Board !
As a guest, you are limited to certain areas of the board and there are some features you can't use.
To post a message, you must create a free account using a valid email address.

or Create an Account


New Posts   Today's Posts

error building OSCAR from source: unknown warning option
#1
error building OSCAR from source: unknown warning option
Hi, I am trying to build OSCAR from source following the instructions at https://gitlab.com/pholy/OSCAR-code/-/bl...ILD-mac.md  I'm running on an Intel Mac with Big Sur. When I get to the step to run "make" I get the following 

build@mac-0 build % make
/bin/bash /Users/build/git/OSCAR-code/oscar/update_gitinfo.sh
/Users/build/git/OSCAR-code/oscar/../Building/MacOS/finalize_plist /Users/build/git/OSCAR-code/oscar OSCAR.app/Contents/Info.plist
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/daily.ui -o ui_daily.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/overview.ui -o ui_overview.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/mainwindow.ui -o ui_mainwindow.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/oximetry.ui -o ui_oximetry.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/preferencesdialog.ui -o ui_preferencesdialog.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/newprofile.ui -o ui_newprofile.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/exportcsv.ui -o ui_exportcsv.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/oximeterimport.ui -o ui_oximeterimport.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/profileselector.ui -o ui_profileselector.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/aboutdialog.ui -o ui_aboutdialog.h
/Users/build/Qt5.12.8/5.12.8/clang_64/bin/uic ../oscar/welcome.ui -o ui_welcome.h
/Library/Developer/CommandLineTools/usr/bin/clang++ -c -pipe -stdlib=libc++ -Werror -Wno-error=stringop-overread -Wno-error=deprecated-declarations -O2 -std=gnu++11  -arch x86_64 -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk -mmacosx-version-min=10.12 -Wall -W -fPIC -Dhelpless -DQT_DEPRECATED_WARNINGS -DLOCK_RESMED_SESSIONS -DQT_NO_DEBUG -DQT_PRINTSUPPORT_LIB -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_XML_LIB -DQT_SERIALPORT_LIB -DQT_CORE_LIB -I../oscar -I. -I../../../Qt5.12.8/5.12.8/clang_64/lib/QtPrintSupport.framework/Headers -I../../../Qt5.12.8/5.12.8/clang_64/lib/QtOpenGL.framework/Headers -I../../../Qt5.12.8/5.12.8/clang_64/lib/QtWidgets.framework/Headers -I../../../Qt5.12.8/5.12.8/clang_64/lib/QtGui.framework/Headers -I../../../Qt5.12.8/5.12.8/clang_64/lib/QtNetwork.framework/Headers -I../../../Qt5.12.8/5.12.8/clang_64/lib/QtXml.framework/Headers -I../../../Qt5.12.8/5.12.8/clang_64/lib/QtSerialPort.framework/Headers -I../../../Qt5.12.8/5.12.8/clang_64/lib/QtCore.framework/Headers -I. -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks/OpenGL.framework/Headers -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/System/Library/Frameworks/AGL.framework/Headers -I. -I../../../Qt5.12.8/5.12.8/clang_64/mkspecs/macx-clang -F/Users/build/Qt5.12.8/5.12.8/clang_64/lib -o checkupdates.o ../oscar/checkupdates.cpp
error: unknown warning option '-Werror=stringop-overread' [-Werror,-Wunknown-warning-option]
make: *** [checkupdates.o] Error 1

My clang version:
Apple clang version 11.0.3 (clang-1103.0.32.62)
Target: x86_64-apple-darwin20.6.0
Thread model: posix
InstalledDir: /Library/Developer/CommandLineTools/usr/bin
Post Reply Post Reply






Donate to Apnea Board  
#2
RE: error building OSCAR from source: unknown warning option
Are you using Qt Creator? If so, did you turn off the "PreCompile" option? Overall, I had better luck doing a command line build than I did using Creator. Also, I gave up on Big Sur and used Mojave to build the Mac version. There seems to be permission settings in Big Sur that I'm not aware of.

Good luck. I hope you find the problem.
Crimson Nape
Apnea Board Moderator
www.ApneaBoard.com
___________________________________
Useful Links -or- When All Else Fails:
The Guide to Understanding OSCAR
OSCAR Chart Organization
Attaching Images and Files on Apnea Board
Apnea Helpful Tips

INFORMATION ON APNEA BOARD FORUMS OR ON APNEABOARD.COM SHOULD NOT BE CONSIDERED AS MEDICAL ADVICE. ALWAYS SEEK THE ADVICE OF A PHYSICIAN BEFORE SEEKING TREATMENT FOR MEDICAL CONDITIONS, INCLUDING SLEEP APNEA. INFORMATION POSTED ON THE APNEA BOARD WEB SITE AND FORUMS ARE PERSONAL OPINION ONLY AND NOT NECESSARILY A STATEMENT OF FACT.
Post Reply Post Reply
#3
RE: error building OSCAR from source: unknown warning option
I was using command line.  I did not venture into building it through Qt Creator.

I have an older 2015 Mac that has been upgraded already to Big Sur.  Is there a trick to installing Mojave?  Usually Apple doesn't let us install what we want.  I understand I will have to wipe it--that's fine.  There was a boot option that would allow you to install the OS that came with it which would be older than Mojave and I have not tried it recently.  Sierra maybe.
Post Reply Post Reply
#4
RE: error building OSCAR from source: unknown warning option
I have a Linux box that I run Catalina, Mojave, and Big Sur as VMs. On the off chance, did you follow the Build-mac.md?
Crimson Nape
Apnea Board Moderator
www.ApneaBoard.com
___________________________________
Useful Links -or- When All Else Fails:
The Guide to Understanding OSCAR
OSCAR Chart Organization
Attaching Images and Files on Apnea Board
Apnea Helpful Tips

INFORMATION ON APNEA BOARD FORUMS OR ON APNEABOARD.COM SHOULD NOT BE CONSIDERED AS MEDICAL ADVICE. ALWAYS SEEK THE ADVICE OF A PHYSICIAN BEFORE SEEKING TREATMENT FOR MEDICAL CONDITIONS, INCLUDING SLEEP APNEA. INFORMATION POSTED ON THE APNEA BOARD WEB SITE AND FORUMS ARE PERSONAL OPINION ONLY AND NOT NECESSARILY A STATEMENT OF FACT.
Post Reply Post Reply






Donate to Apnea Board  
#5
RE: error building OSCAR from source: unknown warning option
Yes, I am following the BUILD-mac.md.  

To follow up on my progress, my old 2015 Mac had a keyboard/trackpad failure and I thought I could get into the recovery by using a wired keyboard but that did not work.  So I dusted off my older 2011 Mac and re-installed to High Sierra.  I was able to successfully build OSCAR.  I suspect that it is not a permissions issue because the error I was getting on Big Sir was from the C compiler that the -Werror=stringop-overread option was invalid.  The difference I suspect is between version 11.0.3 and 10.0.0 of the C compiler from Apple's Xcode command line tools for that OS.  I would think it's a Qt issue since that's what is building the makefile. Interestingly, the makefile generated on High Sierra did not have that stringop-overread option.
Post Reply Post Reply
#6
RE: error building OSCAR from source: unknown warning option
Excellent sleuthing! Another member here was reporting having build problems on the Mac w/Big Sur. I hope your findings may help him. I suppose Apple doesn't allow for a downgrade to a previous version?
Crimson Nape
Apnea Board Moderator
www.ApneaBoard.com
___________________________________
Useful Links -or- When All Else Fails:
The Guide to Understanding OSCAR
OSCAR Chart Organization
Attaching Images and Files on Apnea Board
Apnea Helpful Tips

INFORMATION ON APNEA BOARD FORUMS OR ON APNEABOARD.COM SHOULD NOT BE CONSIDERED AS MEDICAL ADVICE. ALWAYS SEEK THE ADVICE OF A PHYSICIAN BEFORE SEEKING TREATMENT FOR MEDICAL CONDITIONS, INCLUDING SLEEP APNEA. INFORMATION POSTED ON THE APNEA BOARD WEB SITE AND FORUMS ARE PERSONAL OPINION ONLY AND NOT NECESSARILY A STATEMENT OF FACT.
Post Reply Post Reply
#7
RE: error building OSCAR from source: unknown warning option
I should have noticed this warning when I ran the qmake----even with the latest v5 Qt-opensource available in binary 5.12.11:

Project WARNING: Qt has only been tested with version 11.0 of the platform SDK, you're using 11.3.
Project WARNING: This is an unsupported configuration. You may experience build issues, and by using
Project WARNING: the 11.3 SDK you are opting in to new features that Qt has not been prepared for.
Project WARNING: Please downgrade the SDK you use to build your app to version 11.0, or configure
Project WARNING: with CONFIG+=sdk_no_version_check when running qmake to silence this warning.

So I did some digging and found Xcode command line tools 11.0 on Apple's developer site. However, it would not install on Big Sur saying my OS was too new. I suspect this will continue to be an issue until OSCAR supports a version of Qt that works with newer OS. That will be needed soon anyway as the clock is ticking for Rosetta2 support on MacOS. I tried to find out if Qt has support for AppleArm and didn't see anything one way or the other.

Hopefully this thread helps those trying to do the same thing.
Post Reply Post Reply






Donate to Apnea Board  
#8
RE: error building OSCAR from source: unknown warning option
OSCAR will build with QT 5.15, albeit with a ton of warnings. I'll be cleaning those up after the 1.3.0 release.

Debian 11 has moved to QT 5.15; but OSCAR may still build with QT 5.7 or 5.9. For sure 5.9, because that's what Ubuntu 18.04 uses.

I don't know if that will help you any Big Grin
Apnea Board Monitors are members who help oversee the smooth functioning of the Board. They are also members of the Advisory Committee which helps shape Apnea Board's rules & policies. Membership in the Advisory Members group does not imply medical expertise or qualification for advising Sleep Apnea patients concerning their treatment.
Post Reply Post Reply
#9
RE: error building OSCAR from source: unknown warning option
(09-12-2021, 01:27 PM)pholynyk Wrote: OSCAR will build with QT 5.15, albeit with a ton of warnings. I'll be cleaning those up after the 1.3.0 release.

Debian 11 has moved to QT 5.15; but OSCAR may still build with QT 5.7 or 5.9. For sure 5.9, because that's what Ubuntu 18.04 uses.

I don't know if that will help you any Big Grin

Do I have to build Qt 5.15 from source or are there binaries for it?  I could only find 5.12 binaries on Qt download page but I did see 5.15 source.  I'd be willing to give it a shot.
Post Reply Post Reply
#10
RE: error building OSCAR from source: unknown warning option
If its not already built on the QT site or the Mac X-Code package, I wouldn't try building from source. In fact I did try with an earlier version, and there were so many cross-linked dependencies that I gave up.

What I have is what was built as part of the Debian 11 release. I'm a little surprised that it's not available for the Mac.
Apnea Board Monitors are members who help oversee the smooth functioning of the Board. They are also members of the Advisory Committee which helps shape Apnea Board's rules & policies. Membership in the Advisory Members group does not imply medical expertise or qualification for advising Sleep Apnea patients concerning their treatment.
Post Reply Post Reply






Donate to Apnea Board  


Possibly Related Threads...
Thread Author Replies Views Last Post
Question New Version, Access Denied Error 5 wesozzzz 1 156 08-23-2022, 07:21 PM
Last Post: pholynyk
  Oscar Debug Log Warning DanEm 21 525 08-04-2022, 09:58 AM
Last Post: DanEm
  ResMed ResScan 7.0 - Error: Pure virtual function called biz1219 2 346 06-13-2022, 07:54 AM
Last Post: biz1219
  combining multi data source chris mdp 2 275 05-08-2022, 11:23 PM
Last Post: chris mdp
  OSCAR error reading AirSense 10 Data mjholdeman 2 425 03-26-2022, 06:03 PM
Last Post: mjholdeman
  Installing Oscar v 1.3.0 in a different C drive folder from version Oscar 1.2.0. rumtap 7 731 03-15-2022, 05:51 PM
Last Post: Crimson Nape
  spelling error wiki page Cornelius 2 232 03-09-2022, 09:49 AM
Last Post: Jeff8356


New Posts   Today's Posts






About Apnea Board

Apnea Board is an educational web site designed to empower Sleep Apnea patients.